# Intro
This CICD Pipeline provides the Terraform code for Deployment of Resources on AWS.
It can be used e.g. for Deployment of Your K8S cluster.

## Structure of repo
- terraform folder contains Terraform code
- .gitlab-ci.yml contains logis for deployment

## Scope of AWS Resources
- vpc
- igw
- rt 
- ec2 
- sg 

## How to use it
In order to use this Pipeline you just need to provide the valid AWS credentials (e.g. taken from aCloudguru).
```
Settings -> CI/CD -> Variables 
```
```
AWS_DEFAULT_REGION
AWS_ACCESS_KEY_ID
AWS_SECRET_ACCESS_KEY
```
## Limits
- number of EC2 instances is limited to 10
- restricted services: s3
